<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>CLE2Request.CLE2Error (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CLE2Request.CLE2Error (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CLE2Request.CLE2Error.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.CLE2ConnectivityMode.html" title="enum in com.here.android.mpa.customlocation2"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.CLE2ErrorCode.html" title="enum in com.here.android.mpa.customlocation2"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.html" target="_top">Frames</a></li>
<li><a href="CLE2Request.CLE2Error.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li><a href="#field.summary">Field</a> | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#field.detail">Field</a> | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.customlocation2</div>
<h2 title="Class CLE2Request.CLE2Error" class="title">Class CLE2Request.CLE2Error</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.customlocation2.CLE2Request.CLE2Error</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.html" title="class in com.here.android.mpa.customlocation2">CLE2Request</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">CLE2Request.CLE2Error</span>
extends java.lang.Object</pre>
<div class="block">Represents values describing possible search request errors.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.CLE2ErrorCode.html" title="enum in com.here.android.mpa.customlocation2">CLE2Request.CLE2Error.CLE2ErrorCode</a></span></code>
<div class="block">Error codes</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.html#BUSY">BUSY</a></span></code>
<div class="block">The search service was busy with another request.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.html#CANCELLED">CANCELLED</a></span></code>
<div class="block">Network request was cancelled.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.html#INVALID_PARAMETER">INVALID_PARAMETER</a></span></code>
<div class="block">A query request parameter was invalid.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.html#NETWORK_COMMUNICATION">NETWORK_COMMUNICATION</a></span></code>
<div class="block">There was a network communications error.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.html#NONE">NONE</a></span></code>
<div class="block">No error was encountered.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.html#OPERATION_NOT_ALLOWED">OPERATION_NOT_ALLOWED</a></span></code>
<div class="block">Access to this operation is denied.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.html#UNKNOWN">UNKNOWN</a></span></code>
<div class="block">Some other unexpected error occurred.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.html#CLE2Error-com.here.android.mpa.customlocation2.CLE2Request.CLE2Error.CLE2ErrorCode-java.lang.String-">CLE2Error</a></span>(<a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.CLE2ErrorCode.html" title="enum in com.here.android.mpa.customlocation2">CLE2Request.CLE2Error.CLE2ErrorCode</a> code,
         java.lang.String message)</code>
<div class="block">Constructor to create a <code>CLE2Error</code>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.CLE2ErrorCode.html" title="enum in com.here.android.mpa.customlocation2">CLE2Request.CLE2Error.CLE2ErrorCode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.html#getErrorCode--">getErrorCode</a></span>()</code>
<div class="block">Get error code.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.html#getErrorMessage--">getErrorMessage</a></span>()</code>
<div class="block">Get error description.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="NONE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NONE</h4>
<pre>public static final java.lang.String NONE</pre>
<div class="block">No error was encountered.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.here.android.mpa.customlocation2.CLE2Request.CLE2Error.NONE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INVALID_PARAMETER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_PARAMETER</h4>
<pre>public static final java.lang.String INVALID_PARAMETER</pre>
<div class="block">A query request parameter was invalid.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.here.android.mpa.customlocation2.CLE2Request.CLE2Error.INVALID_PARAMETER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BUSY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUSY</h4>
<pre>public static final java.lang.String BUSY</pre>
<div class="block">The search service was busy with another request.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.here.android.mpa.customlocation2.CLE2Request.CLE2Error.BUSY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NETWORK_COMMUNICATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NETWORK_COMMUNICATION</h4>
<pre>public static final java.lang.String NETWORK_COMMUNICATION</pre>
<div class="block">There was a network communications error.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.here.android.mpa.customlocation2.CLE2Request.CLE2Error.NETWORK_COMMUNICATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CANCELLED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CANCELLED</h4>
<pre>public static final java.lang.String CANCELLED</pre>
<div class="block">Network request was cancelled.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.here.android.mpa.customlocation2.CLE2Request.CLE2Error.CANCELLED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OPERATION_NOT_ALLOWED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OPERATION_NOT_ALLOWED</h4>
<pre>public static final java.lang.String OPERATION_NOT_ALLOWED</pre>
<div class="block">Access to this operation is denied. Contact your HERE representative for more
 information.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.here.android.mpa.customlocation2.CLE2Request.CLE2Error.OPERATION_NOT_ALLOWED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="UNKNOWN">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>UNKNOWN</h4>
<pre>public static final java.lang.String UNKNOWN</pre>
<div class="block">Some other unexpected error occurred.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#com.here.android.mpa.customlocation2.CLE2Request.CLE2Error.UNKNOWN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CLE2Error-com.here.android.mpa.customlocation2.CLE2Request.CLE2Error.CLE2ErrorCode-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CLE2Error</h4>
<pre>public CLE2Error(<a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.CLE2ErrorCode.html" title="enum in com.here.android.mpa.customlocation2">CLE2Request.CLE2Error.CLE2ErrorCode</a> code,
                 java.lang.String message)</pre>
<div class="block">Constructor to create a <code>CLE2Error</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>code</code> - - error code.</dd>
<dd><code>message</code> - - error message.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getErrorMessage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getErrorMessage</h4>
<pre>public java.lang.String getErrorMessage()</pre>
<div class="block">Get error description.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>error message</dd>
</dl>
</li>
</ul>
<a name="getErrorCode--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getErrorCode</h4>
<pre>public <a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.CLE2ErrorCode.html" title="enum in com.here.android.mpa.customlocation2">CLE2Request.CLE2Error.CLE2ErrorCode</a> getErrorCode()</pre>
<div class="block">Get error code.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>error code</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CLE2Request.CLE2Error.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.CLE2ConnectivityMode.html" title="enum in com.here.android.mpa.customlocation2"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.CLE2ErrorCode.html" title="enum in com.here.android.mpa.customlocation2"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/customlocation2/CLE2Request.CLE2Error.html" target="_top">Frames</a></li>
<li><a href="CLE2Request.CLE2Error.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li><a href="#field.summary">Field</a> | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#field.detail">Field</a> | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
